Subject: Re: [bfcpbis] WGLC on draft-ietf-bfcpbis-bfcp-websocket-06

From: "Ram Mohan R (rmohanr)" <[email-masked]>
Date: Mon, 2 May 2016 11:29:00 +0000

Hi Paul,

Thanks for your feedback. Please see inline. Also attached are the diffs

-----Original Message-----
From: bfcpbis <[email-masked]> on behalf of Paul Kyzivat
<[email-masked]>
Date: Wednesday, 16 March 2016 at 2:08 AM
To: "[email-masked]" <[email-masked]>
Subject: Re: [bfcpbis] WGLC on draft-ietf-bfcpbis-bfcp-websocket-06

>Generally in good shape. A couple of comments:
>
>* Section 4.1:
>
>I see you are using "bfcp" for the subprotocol name.
>IMO it would be better to use "BFCP" for consistency with what is used
>in the m-line proto field.

Agree. Will change to "BFCP"

>
>(I've been querying for information about case-sensitivity of the
>sub-protocol field. I have not gotten a definitive answer, but the
>prudent path is to assume it is case-sensitive.)
>
>* Section 7.1 says:
>
>    An endpoint (i.e., both the offerer and the answerer) MUST create an
>    SDP media description ("m=" line) for each BFCP-over-WebSocket media
>    stream and MUST assign a TCP/WSS/BFCP value to the "proto" field of
>    the "m=" line.  Furthermore, the SDP answerer (Server) MUST add an
>    "a=ws-uri" or "a=wss-uri" attribute in the "m=" line of each BFCP-
>    over-WebSocket media stream depending on whether it is WS or WSS.
>
>This says to use TCP/WSS/BFCP even when using "a=ws-uri". I presume that
>is wrong.

An endpoint (i.e., both the offerer and the answerer) MUST create an
    SDP media description ("m=" line) for each BFCP-over-WebSocket media
    stream and MUST assign either TCP/WSS/BFCP  or TCP/WS/BFCP value to
The "proto" field of the "m=" line depending on whether the endpoint
wishes to
use secure WebSocket or WebSocket. Furthermore, the server side, which
could be either
          the offerer or answerer, MUST add an "a=ws-uri" or "a=wss-uri"
attribute in the media section
          depending on whether it wishes to use WebSocket or secure
WebSocket.

>
>Also, see my comment on draft-ietf-bfcpbis-sdp-ws-uri-01
>(http://mailarchive.ietf.org/arch/msg/bfcpbis/_y_FxCOw5pI_YeRQXGvMLpKGZY0)
> 
>regarding the case where the offer is generated by the server. They
>apply here equally. The text needs some reworking to address that case.

Agree. I will add following para at the end of section 7.2

NEW:

It is possible that a endpoint (e.g., a browser) sends an offerless INVITE
to
the server. In such cases the server will act as SDP offerer. The server
MUST 
assign the SDP "setup" attribute with a value of "passive. The server MUST
have an "a=ws-uri" or "a=wss-uri² attribute in the media section depending
on 
whether the application uses WebSocket or secure WebSocket. This attribute
MUST 
follow the syntax defined in Section 3. For BFCP application, the "proto"
value in 
the "m=" line MUST be TCP/WSS/BFCP if WebSocket is over TLS, else it MUST
be TCP/WS/BFCP.

Regards,
Ram

>
>	Thanks,
>	Paul
>
>
>On 3/13/16 12:55 PM, Charles Eckel (eckelcu) wrote:
>> This is to announce a 2 week WGLC on the draft:
>> https://tools.ietf.org/html/draft-ietf-bfcpbis-bfcp-websocket-06
>>
>> Please review and provide any comments by Monday, March 28, 2016.
>> Comments should be sent to the authors and the BFCPBIS WG list.
>> If you review the draft but do not have any comments, please send a note
>> to that effect as well.
>>
>> Thanks,
>> Charles
>>
>>
>>
>>
>> _______________________________________________
>> bfcpbis mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/bfcpbis
>>
>
>_______________________________________________
>bfcpbis mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/bfcpbis

---

From: Paul Kyzivat <[email-masked]>
Date: Mon, 2 May 2016 22:55:38 -0400

Ram,

This also seems good to me.

	Thanks,
	Paul